What are the system requirements to use the Common Application? Strongly Typed by HTML5 UP

What are the system requirements to use the Common Application?

The following operating systems and browsers are supported:

PC (Windows version 10, version 8.1, version 7 SP1)

Latest stable version of Chrome (recommend at least version 57) Get the latest version of Chrome
Latest stable version of Firefox (recommend at least version 52) Get the latest version of Firefox
Microsoft Internet Explorer 11 (latest version) Get the latest version of Internet Explorer for your PC
Microsoft Edge (recommend at least version 40) Get the latest version of Edge for your Windows 10 PC


Mac (OS X version 10.10 or higher)

Latest stable version of Chrome (recommend at least version 57) Get the latest version of Chrome
Latest stable version of Firefox (recommend at least version 52) Get the latest version of Firefox
Safari 10 or higher Get the latest version of Safari for your Mac


Regardless of browser, please make sure the following browser settings are correct:

Javascript must be enabled.
Cookies must be enabled.
Popup blockers must be disabled.

Other Software needed:
To view and print PDF files we recommend Adobe Acrobat Reader (latest version). While PDF files should work with most other pdf viewers, we can only guarantee full compatibility and support for Adobe Acrobat Reader.

Email:
If your email offers a whitelist, please add the following address:
appsupport@commonapp.net
sfsupport@commonapp.net

Rating:Rating of 3 Stars511 Votes
Was this answer helpful?YesNo
Topic Information
  • Topic #: 33011-27
  • Date Created: 06/10/2013
  • Last Modified Since: 07/31/2017
  • Viewed: 163720